package com.ywt.mg.domain.models.enums;

/**
 * 预约挂号类型
 */
public enum RegisteredTypeEnum {
    GENERAL("普通预约", 1),
    ADDITIONAL("加号预约", 2);

    RegisteredTypeEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    private final String displayName;

    private final int value;

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static RegisteredTypeEnum valueOf(int value){
        switch (value){
            case 1:
                return GENERAL;
            case 2:
                return ADDITIONAL;
            default:
                return GENERAL;
        }
    }
}
